> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get returns the tenant's access-request settings.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/settings/request
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/settings/request:
    get:
      tags:
        - Request Settings
      summary: Get
      description: Get returns the tenant's access-request settings.
      operationId: c1.api.settings.v1.RequestSettingsService.Get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.settings.v1.GetRequestSettingsResponse
          description: Successful response
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestSettings.get();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.settings.v1.GetRequestSettingsResponse:
      description: The GetRequestSettingsResponse message.
      properties:
        requestSettings:
          oneOf:
            - $ref: '#/components/schemas/c1.api.settings.v1.RequestSettings'
            - type: 'null'
      title: Get Request Settings Response
      type: object
      x-speakeasy-name-override: GetRequestSettingsResponse
    c1.api.settings.v1.RequestSettings:
      description: >-
        RequestSettings holds tenant-wide configuration for the access-request
        flow.
      properties:
        skipJustification:
          description: >-
            When true, request surfaces (webapp, Slack, MS Teams) skip prompting
            the
             requester for a justification.
          type:
            - boolean
            - 'null'
      title: Request Settings
      type: object
      x-speakeasy-name-override: RequestSettings
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````